require "net/http"
require "json"

module Gitfave
	class Client
		attr_accessor :username

		def initialize(username)
			@username = username
		end

		def fetch_repositories
			Net::HTTP.get(URI "https://api.github.com/users/#{@username}/repos")
		end

		def user_repositories
			JSON.parse fetch_repositories
		end
	end
end